Subject: [draft-freed-sieve-in-xml-02] Preservation Of Meta-Data During An Editing Session

From: Robert Burrell Donkin <[email-masked]>
Date: Fri, 30 Jan 2009 17:04:22 +0000

Issue
-----
Clarify expectations of meta-data preservation during editing.

Proposal
--------

To "4.1. XML Display Directives" add:

  Editors MAY use displayblock, displaydata and foreign namespaces to associate
  meta-data which SHOULD be preserved by the processor during Sieve script
  translation. Some editors find it inconvenient to preserve this
additional data
  during an editing session. Editors MAY preserve this data during an editing
  session for compatibility with other editors.

Rationale
---------

Use Case A:
 A class of XML editors work on document structure, as expressed by
the schema. These
 editors find it inconvenient to work with schema containing elements
not intended
 to be user editable.

Use Case B:
 An editor may find it difficult to reconcile it's own meta-data with
meta-data added
 previously by a different implementation. This makes it difficult to preserve
 foreign meta-data during an editing session.

The proposal clarifies this issue by recommending (but not insisting) that
editors preserve existing meta-data during an editing session.